package com.caimei.module.base.entity.po;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * cm_page_image
 * @author 
 */
@Data
public class CmPageImage implements Serializable {
    private Long id;

    /**
     * 标题
     */
    private String title;

    /**
     * 链接
     */
    private String link;

    /**
     * APP链接
     */
    private String applink;

    /**
     * 图片
     */
    private String image;

    /**
     * 商城首页图
     */
    private String homepageimage;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 类型1二级列表 ，2项目详情 ，3讲师轮播，4活动专区 , 5顶层广告, 6首页轮播 ,7小专题
     */
    private String type;

    /**
     * 状态 0停用 1启用
     */
    private String enabledstatus;

    /**
     * CRM端状态 0停用 1启用
     */
    private String crmenabledstatus;

    /**
     * 活动开始时间
     */
    private Date begintime;

    /**
     * 活动开始时间
     */
    private Date endtime;

    /**
     * 活动分类
     */
    private Long acttype;

    /**
     * 创建人
     */
    private Long createby;

    /**
     * 创建时间
     */
    private Date createdate;

    /**
     * 最后更新人
     */
    private Long updateby;

    /**
     * 最后更新时间
     */
    private Date updatedate;

    /**
     * 首页置顶位
     */
    private Long topposition;

    private static final long serialVersionUID = 1L;
}